summaryrefslogtreecommitdiff
path: root/openstack/usr/share/openstack/postgres-setup
diff options
context:
space:
mode:
authorRichard Maw <richard.maw@codethink.co.uk>2015-03-23 21:06:52 +0000
committerRichard Maw <richard.maw@codethink.co.uk>2015-03-23 22:57:47 +0000
commitee53974ddc864535bbc99302d16da11287affe47 (patch)
tree4cc8ed4c1b56401a7b5c4ced41ccca34ef8d4aad /openstack/usr/share/openstack/postgres-setup
parent4a4e7610d52e9288b08fc04c0d704e354b76c61b (diff)
downloaddefinitions-ee53974ddc864535bbc99302d16da11287affe47.tar.gz
WIP: Add OpenStack initial configuration
TODO: Split this out into: 1. initial config (openstack/etc) default values 2+. as many individual changes to initial config as possible to extract, including support scripts and configuration extensions
Diffstat (limited to 'openstack/usr/share/openstack/postgres-setup')
-rw-r--r--openstack/usr/share/openstack/postgres-setup42
1 files changed, 42 insertions, 0 deletions
diff --git a/openstack/usr/share/openstack/postgres-setup b/openstack/usr/share/openstack/postgres-setup
new file mode 100644
index 00000000..fb224fd8
--- /dev/null
+++ b/openstack/usr/share/openstack/postgres-setup
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# Copyright (C) 2014 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+if [ -f /var/openstack/postgres-setup ]; then
+ exit 0
+fi
+
+# Create postgres directories
+install -dm700 /var/lib/pgsql/data
+install -dm755 /var/run/postgresql
+
+# Create required system users and groups
+getent group postgress >/dev/null || groupadd -r -g 41 postgres
+getent passwd postgres >/dev/null || \
+ useradd --uid 41 -r -g postgres -d /var/lib/pgsql -s /sbin/nologin \
+ -c "PostgreSQL Server" postgres
+
+chown -R postgres:postgres /var/lib/pgsql /var/run/postgresql
+
+test -d /var/lib/pgsql/data/base || sudo -u postgres pg_ctl -D /var/lib/pgsql/data initdb
+
+install -D -m 644 /proc/self/fd/0 <<'EOF' /var/openstack/postgres-setup
+Postgres setup: success
+EOF
+
+exit 0